<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_PriceInformationVisa StructType
 * @subpackage Structs
 */
class JP_PriceInformationVisa extends AbstractStructBase
{
    /**
     * The VisaInfo
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_VisaInfo
     */
    public $VisaInfo;
    /**
     * The VisaOptions
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_VisaOption
     */
    public $VisaOptions;
    /**
     * The BillingOrganization
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_BillingOrganization
     */
    public $BillingOrganization;
    /**
     * Constructor method for JP_PriceInformationVisa
     * @uses JP_PriceInformationVisa::setVisaInfo()
     * @uses JP_PriceInformationVisa::setVisaOptions()
     * @uses JP_PriceInformationVisa::setBillingOrganization()
     * @param \StructType\JP_VisaInfo $visaInfo
     * @param \ArrayType\ArrayOfJP_VisaOption $visaOptions
     * @param \StructType\JP_BillingOrganization $billingOrganization
     */
    public function __construct(\StructType\JP_VisaInfo $visaInfo = null, \ArrayType\ArrayOfJP_VisaOption $visaOptions = null, \StructType\JP_BillingOrganization $billingOrganization = null)
    {
        $this
            ->setVisaInfo($visaInfo)
            ->setVisaOptions($visaOptions)
            ->setBillingOrganization($billingOrganization);
    }
    /**
     * Get VisaInfo value
     * @return \StructType\JP_VisaInfo|null
     */
    public function getVisaInfo()
    {
        return $this->VisaInfo;
    }
    /**
     * Set VisaInfo value
     * @param \StructType\JP_VisaInfo $visaInfo
     * @return \StructType\JP_PriceInformationVisa
     */
    public function setVisaInfo(\StructType\JP_VisaInfo $visaInfo = null)
    {
        $this->VisaInfo = $visaInfo;
        return $this;
    }
    /**
     * Get VisaOptions value
     * @return \ArrayType\ArrayOfJP_VisaOption|null
     */
    public function getVisaOptions()
    {
        return $this->VisaOptions;
    }
    /**
     * Set VisaOptions value
     * @param \ArrayType\ArrayOfJP_VisaOption $visaOptions
     * @return \StructType\JP_PriceInformationVisa
     */
    public function setVisaOptions(\ArrayType\ArrayOfJP_VisaOption $visaOptions = null)
    {
        $this->VisaOptions = $visaOptions;
        return $this;
    }
    /**
     * Get BillingOrganization value
     * @return \StructType\JP_BillingOrganization|null
     */
    public function getBillingOrganization()
    {
        return $this->BillingOrganization;
    }
    /**
     * Set BillingOrganization value
     * @param \StructType\JP_BillingOrganization $billingOrganization
     * @return \StructType\JP_PriceInformationVisa
     */
    public function setBillingOrganization(\StructType\JP_BillingOrganization $billingOrganization = null)
    {
        $this->BillingOrganization = $billingOrganization;
        return $this;
    }
}
